Package musicbrainz2 :: Module webservice :: Class ConnectionError

[frames] | no frames]

# Class ConnectionError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                     WebServiceError --+
                                       |
                                      ConnectionError

Getting a server connection failed.

This exception is mostly used if the client couldn't connect to the server because of an invalid host name or port. It doesn't make sense if the web service in question doesn't use the network.

Instance Methods
Inherited from `WebServiceError`: `__init__`, `__str__` Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`